package com.acquisition.config;


import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;

public class HttpRequestSender {

    // 发送 GET 请求
    public static String sendGetRequest(String url) throws Exception {
        CloseableHttpClient httpClient = HttpClients.createDefault();
        HttpGet httpGet = new HttpGet(url);

        try (CloseableHttpResponse response = httpClient.execute(httpGet)) {
            if (response.getStatusLine().getStatusCode() >= 200 && response.getStatusLine().getStatusCode() < 300) {
                return EntityUtils.toString(response.getEntity());
            } else {
                throw new Exception("HTTP 请求失败，状态码：" + response.getStatusLine().getStatusCode());
            }
        } finally {
            httpClient.close();
        }
    }

    // 发送 POST 请求
    public static String sendPostRequest(String url, String data) throws Exception {
        CloseableHttpClient httpClient = HttpClients.createDefault();
        HttpPost httpPost = new HttpPost(url);
        httpPost.setHeader("Content-Type", "text/plain");  // 假设是文本数据
        httpPost.setEntity(new StringEntity(data));

        try (CloseableHttpResponse response = httpClient.execute(httpPost)) {
            if (response.getStatusLine().getStatusCode() >= 200 && response.getStatusLine().getStatusCode() < 300) {
                return EntityUtils.toString(response.getEntity());
            } else {
                throw new Exception("HTTP 请求失败，状态码：" + response.getStatusLine().getStatusCode());
            }
        } finally {
            httpClient.close();
        }
    }
}
