package com.acquisition.config;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.util.DefaultIndenter;
import com.fasterxml.jackson.core.util.DefaultPrettyPrinter;

import java.io.IOException;

public class InlineArrayObjPrettyPrinter extends DefaultPrettyPrinter {

    private static final long serialVersionUID = 1L;

    // 根对象缩进：两空格 + 换行
    private static final Indenter ROOT_OBJECT_INDENTER =
            new DefaultIndenter("  ", DefaultIndenter.SYS_LF);

    // 数组中的对象缩进：不换行
    private static final Indenter INLINE_OBJECT_INDENTER =
            NopIndenter.instance;

    public InlineArrayObjPrettyPrinter() {
        super();
        this.indentArraysWith(new DefaultIndenter("  ", DefaultIndenter.SYS_LF));
    }

    @Override
    public DefaultPrettyPrinter createInstance() {
        return new InlineArrayObjPrettyPrinter();
    }

    @Override
    public void writeStartObject(JsonGenerator g) throws IOException {
        this._objectIndenter = (_nesting == 0)
                ? ROOT_OBJECT_INDENTER     // 根对象换行
                : INLINE_OBJECT_INDENTER;  // 数组中的对象不换行
        super.writeStartObject(g);
    }
}

